import { T as ThemeInput, B as BuiltinThemes, L as LanguageInput, a as BuiltinLanguages, I as IOnigLib, C as CodeToHtmlOptions } from './chunks/types.js';

interface HighlighterOptions {
    themes?: (ThemeInput | BuiltinThemes)[];
    langs?: (LanguageInput | BuiltinLanguages)[];
}
declare function getOniguruma(): Promise<IOnigLib>;
declare function getHighlighter(options?: HighlighterOptions): Promise<{
    codeToThemedTokens: (code: string, lang?: string, theme?: string, options?: {
        includeExplanation: boolean;
    }) => {
        content: string;
    }[][];
    codeToHtml: (code: string, options?: CodeToHtmlOptions) => string;
}>;

export { HighlighterOptions, getHighlighter, getOniguruma };
